Bug 500809 - proxy, squid /var/log/squid/access.log not created in rhel 5 proxy
proxy, squid /var/log/squid/access.log not created in rhel 5 proxy
Status: CLOSED EOL
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Other (Show other bugs)
RHN Stable
All Linux
low Severity medium
: ---
: ---
Assigned To: rhn-dev-list
Red Hat Network Quality Assurance
na
:
Depends On: 497892
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-14 06:20 EDT by Miroslav Suchý
Modified: 2017-07-05 11:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 497892
Environment:
Last Closed: 2017-07-05 11:22:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch (1.33 KB, patch)
2010-03-29 05:15 EDT, Miroslav Suchý
no flags Details | Diff

  None (edit)
Description Miroslav Suchý 2009-05-14 06:20:40 EDT
+++ This bug was initially created as a clone of Bug #497892 +++

Description of problem:

4/24.1

recreate
1. install cmd line proxy w/ selinux enforcing
2. check /var/log/squid 
access log missing


install w/ selinux permissive
access.log is there

--- Additional comment from whayutin@redhat.com on 2009-04-27 15:25:54 EDT ---

ignore the above selinux comments..

--- Additional comment from whayutin@redhat.com on 2009-04-27 16:11:25 EDT ---

in rhel4 /var/log/squid/access.log is a default option and does not need to be in the squid.conf file.

In RHEL 5 w/ squid 2.6 we need to add a config line for /etc/squid/squid.conf to add the the logging to /var/log/squid/squid.conf

--- Additional comment from whayutin@redhat.com on 2009-04-27 16:16:41 EDT ---

look in the /etc/squid/squid.conf.default for both rhel4 and rhel5

notice in rhel5
#       Note: 2.6.STABLE14 and earlier only supports a slightly different
#       and undocumented format with all uppercase LOG_FACILITY|LOG_PRIORITY
access_log /var/log/squid/access.log squid

--- Additional comment from msuchy@redhat.com on 2009-05-14 05:11:34 EDT ---

Hmm, the problem is that in RHEL4 the configuration option is cache_access_log, but in rhel5 it is named access_log. And we unfortunately do not have process to deploy different config files based on rhel version.

I'm going to add
 access_log /var/log/squid/access.log squid
to squid.conf. Although in is not recognized on RHEL4 and squid.out will contains after restart:
2009/05/14 10:47:56| parseConfigFile: line 12 unrecognized: 'access_log /var/log/squid/access.log squid
the squid itself will ignore it and will start without problem and will create and use /var/log/squid/access.log as it is default option on rhel4.

--- Additional comment from msuchy@redhat.com on 2009-05-14 06:17:11 EDT ---

Commited as 46738d005a4204a19438f82befa648e2b7df67c9
Comment 1 Miroslav Suchý 2009-05-14 06:37:32 EDT
Please pick up this commit. And apply the changes in web/html/applications/rhn-proxy to your code.
Comment 2 Grant Gainey 2010-03-26 15:36:29 EDT
Moving to Proxy, this isn't a hosted bug
Comment 3 Miroslav Suchý 2010-03-29 04:31:31 EDT
It *is* hosted bug. I will attach patch for *your* git repo.
Comment 4 Miroslav Suchý 2010-03-29 05:15:55 EDT
Created attachment 403239 [details]
patch

Configuration files of RHN Proxy are populated from WebUI installer. In other word RHN Proxy activated directly against hosted has configuration files stored in hosted.
Comment 5 Thomas "Shea" DeAntonio 2017-07-05 11:22:35 EDT
As you may already be aware, Red Hat is transitioning from the Red Hat Network (RHN) hosted interface to the Red Hat Subscription Management (RHSM) interface in July 2017. Red Hat has invested in and seen success from RHN for many years, and used that experience to build more robust technologies like RHSM. 
 
If you have not yet migrated your RHN systems to RHSM or you are a Red Hat Satellite customer, please review the information from. https://access.redhat.com/products/red-hat-subscription-management#migration. 
 
Since we are shutting down RHN, no further actions will be taken with this bug or enhancement request.  You can find additional information at RHSM product page (https://access.redhat.com/products/red-hat-subscription-management).  If you have further questions, please contact support (https://access.redhat.com/products/red-hat-subscription-management#support).

Note You need to log in before you can comment on or make changes to this bug.